List catalog products
Returns the organization's non-archived products, most recently updated first.
Returns the organization's non-archived products, most recently updated first.
AuthorizationBearer <token>
The organization API key, sent as Authorization: Bearer <key>.
In: header
Query Parameters
limit?integer
How many items to return. Maximum 100.
Range
1 <= value <= 100Default
25offset?|
How many items to skip from the beginning.
Range
0 <= valueDefault
0budgetTier?string
Value in
- "economic"
- "mid"
- "premium"
query?string
Matches against the title, summary and description.
Length
1 <= lengthstatus?string
Value in
- "active"
- "paused"
- "draft"
type?string
Value in
- "package"
- "experience"
- "expedition"
- "custom"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/catalog/products"{ "data": [ { "budgetTier": "economic", "capacityMax": 0, "capacityMin": 0, "coverImage": "string", "createdAt": "2019-08-24T14:15:22Z", "currency": "string", "description": "string", "destinations": [ "string" ], "durationDays": 0, "durationHours": 0, "excludes": [ "string" ], "externalReferenceCode": "string", "fromPrice": 0, "gallery": [ "string" ], "id": "string", "includes": [ "string" ], "operator": "string", "priceBasis": "string", "priceMax": 0, "pricingMode": "per_person", "shortDescription": "string", "specialConditions": "string", "status": "active", "title": "string", "type": "package", "updatedAt": "2019-08-24T14:15:22Z", "validFrom": "string", "validUntil": "string", "variants": [ { "capacityMax": 0, "capacityMin": 0, "currency": "string", "description": "string", "durationDays": 0, "durationHours": 0, "excludes": [ "string" ], "fromPrice": 0, "id": "string", "includes": [ "string" ], "label": "string", "position": 0, "priceMax": 0, "shortDescription": "string", "status": "active" } ] } ], "pagination": { "limit": 0, "offset": 0, "total": 0 }}